summaryrefslogtreecommitdiff
path: root/.travis/report-results.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/report-results.sh')
-rwxr-xr-x.travis/report-results.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.travis/report-results.sh b/.travis/report-results.sh
new file mode 100755
index 0000000..f2413aa
--- /dev/null
+++ b/.travis/report-results.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+set -e
+
+cd ${TRAVIS_BUILD_DIR}
+
+for report in $(find . -iname '*_test.xml'); do
+ echo "Publishing results from ${report}"
+ curl -X PUT \
+ -H "Authorization: Token ${JUNIT_REPORTING_TOKEN}" \
+ -H "Content-Disposition: attachement; filename=${report}" \
+ --upload-file ${report} \
+ ${JUNIT_REPORTING_HOST}/p/extfs/upload/${TRAVIS_BUILD_NUMBER}
+done